Page MenuHomePhabricator

use binary data rather than text data for math_mathml, math_html and math_svg fields
Closed, DeclinedPublic

Related Objects

StatusAssignedTask
ResolvedNone
ResolvedPhysikerwelt
OpenNone
InvalidNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedPhysikerwelt
ResolvedPhysikerwelt
OpenNone
DeclinedNone
ResolvedPhysikerwelt
OpenNone
ResolvedDebenben
ResolvedTheDJ
DeclinedPhysikerwelt
DuplicateNone
DuplicateNone
Resolvedmobrovac
ResolvedPhysikerwelt
ResolvedNone
Resolvedmobrovac
DeclinedPhysikerwelt
DeclinedPhysikerwelt

Event Timeline

Physikerwelt claimed this task.
Physikerwelt raised the priority of this task from to High.
Physikerwelt updated the task description. (Show Details)
Physikerwelt added subscribers: jcrespo, akosiaris, gerritbot and 6 others.

Change 214064 had a related patch set uploaded (by Physikerwelt):
Use binary data for non natural text fields

https://gerrit.wikimedia.org/r/214064

I'm currently testing that locally... but it takes forever to change the column data type

Jdforrester-WMF moved this task from Incoming to Doing on the Math board.Sep 2 2015, 5:39 PM
Physikerwelt moved this task from Doing to Blocked: needs help on the Math board.Feb 2 2016, 4:51 PM
jcrespo added a comment.EditedFeb 2 2016, 4:56 PM

I am not sure how worth is doing this (despite my original suggestion). Maybe moving them to the *parsercache* servers or anywhere outside of the core dbs would be a better gain? (depends on the total size), at the same time they are converted.

Physikerwelt closed this task as Declined.Feb 18 2016, 11:46 AM

Change 214064 abandoned by Physikerwelt:
Use binary data for non natural text fields

Reason:
cf https://phabricator.wikimedia.org/T100514#1990238

https://gerrit.wikimedia.org/r/214064